package com.sunxung.factoring.entity.invoicemanage;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * @Description : 发票管理-供应商历史信息表
 * @Author : liutao
 * @Date: 2022-3-22
 */
@TableName("invoice_his_supplier_info")
public class InvoiceHisSupplierInfo extends BaseEntity {

    /**
     * 发票历史信息表ID
     **/
    @TableField(value = "invoice_his_info_id")
    private Long invoiceHisInfoId;
    /**
     * 供应商Id
     */
    @TableField(value = "supplier_id")
    private Long supplierId;
    /**
     * 供应商名称
     */
    @TableField(value = "supplier_name")
    private String supplierName;
    /**
     * 开票金额
     */
    @TableField(value = "open_amount")
    private BigDecimal openAmount;

    public InvoiceHisSupplierInfo() {
    }

    public Long getInvoiceHisInfoId() {
        return invoiceHisInfoId;
    }

    public void setInvoiceHisInfoId(Long invoiceHisInfoId) {
        this.invoiceHisInfoId = invoiceHisInfoId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public BigDecimal getOpenAmount() {
        return openAmount;
    }

    public void setOpenAmount(BigDecimal openAmount) {
        this.openAmount = openAmount;
    }
}
